﻿using System;
using System.Collections.Generic;
using System.Linq;

using System.IO;
using System.Net;
using System.Net.Http;
using System.Web;
using System.Web.Http;

namespace AngularJS_Web_API_FormData_MVC.Controllers
{
    public class FileAPIController : ApiController
    {
        [Route("api/FileAPI/UploadFiles")]
        [HttpPost]
        public HttpResponseMessage UploadFiles()
        {
            //Create the Directory.
            string path = HttpContext.Current.Server.MapPath("~/Uploads/");
            if (!Directory.Exists(path))
            {
                Directory.CreateDirectory(path);
            }

            //Save the File.
            HttpPostedFile postedFile = HttpContext.Current.Request.Files[0];
            string fileName = Path.GetFileName(postedFile.FileName);
            postedFile.SaveAs(path + Path.GetFileName(postedFile.FileName));

            //Send OK Response to Client.
            return Request.CreateResponse(HttpStatusCode.OK, fileName);
        }
    }
}
